Summary:	Tool for demonstrating well known weaknesses in the TCP/IP protocol suite
Name:		hunt
Version:	1.5
Release:	alt1_16
License:	GPLv2
Group:		Networking/WWW
Source:		http://lin.fsid.cvut.cz/~kra/hunt/%name-%version.tgz
Patch0:		hunt-1.5-arridx.patch
Patch1:		hunt-1.5-cleanup.patch
Patch2:		hunt-1.5-signness.patch
Patch3:		hunt-1.5-listlen.patch
Patch4:		hunt-1.5-badcmp.patch
Patch5:		hunt-1.5-datatypes.patch
URL:		http://lin.fsid.cvut.cz/~kra/index.html
Source44: import.info

%description
Hunt is a program for intruding into a connection, watching it and
resetting it. It was inpired by products like Juggernaut or T-sight
but has several features which can not be found in these products.

Note that hunt is operating on Ethernet and is best used for connections
which can be watched through it. However, it is possible to do something
even for hosts on another segments. The hunt doesn't distinguish between
local network connections and connections going to/from Internet. It can
handle all connections it sees.

Connection hijacking is aimed primarily at the telnet traffic but it can
be used for another traffic too.  The reset, watching, arp... features
are common to all connections.


%prep
%setup -q
%patch0 -p1 -b .arridx
%patch1 -p1 -b .cleanup
%patch2 -p1 -b .signness
%patch3 -p1 -b .listlen
%patch4 -p1 -b .badcmp
%patch5 -p1 -b .datatypes


%build
make clean
make %{?_smp_mflags} hunt CC='%__cc' CFLAGS="$RPM_OPT_FLAGS -D_REENTRANT"


%install

install -d $RPM_BUILD_ROOT%_sbindir $RPM_BUILD_ROOT%_mandir/man1 \
           $RPM_BUILD_ROOT%_libdir/%name

install -p hunt          $RPM_BUILD_ROOT%_sbindir/
install -p tpsetup/*     $RPM_BUILD_ROOT%_libdir/%name/
install -p -m644 man/*.1 $RPM_BUILD_ROOT%_mandir/man1/


%files
%doc CHANGES COPYING README* TODO
%doc %{_mandir}/*/*
%{_sbindir}/*
%{_libdir}/hunt



%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_16
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_14
- initial fc import

